using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace MSProjectAddIn
{
   /// <summary>
   /// Summary description for Login.
   /// </summary>
   public class Login : System.Windows.Forms.Form
   {
      public String m_strDatabase;
      public String m_strUsername;
      public String m_strPassword;

      private System.Windows.Forms.Label label1;
      private System.Windows.Forms.Label label2;
      private System.Windows.Forms.Label label3;
      private System.Windows.Forms.Button buttonOK;
      private System.Windows.Forms.Button buttonCancel;
      private System.Windows.Forms.ComboBox cbDatabase;
      private System.Windows.Forms.TextBox tbUsername;
      private System.Windows.Forms.TextBox tbPassword;
      /// <summary>
         /// Required designer variable.
      /// </summary>
      private System.ComponentModel.Container components = null;

      public Login(Seapine.CDatabase[] p_adb)
      {
         //
         // Required for Windows Form Designer support
         //
         InitializeComponent();

         // Populate the DB List box.
         for (long l = 0; l < p_adb.Length; ++l)
            cbDatabase.Items.Add(p_adb[l].name);

         // Let's make the first one in the list the default selection.
         cbDatabase.SelectedIndex = 0;
      }

      /// <summary>
      /// Clean up any resources being used.
      /// </summary>
      protected override void Dispose( bool disposing )
      {
         if (disposing)
         {
            if (components != null)
            {
               components.Dispose();
            }
         }
         base.Dispose( disposing );
      }

      #region Windows Form Designer generated code
      /// <summary>
      /// Required method for Designer support - do not modify
      /// the contents of this method with the code editor.
      /// </summary>
      private void InitializeComponent()
      {
         System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Login));
         this.label1 = new System.Windows.Forms.Label();
         this.label2 = new System.Windows.Forms.Label();
         this.label3 = new System.Windows.Forms.Label();
         this.cbDatabase = new System.Windows.Forms.ComboBox();
         this.tbUsername = new System.Windows.Forms.TextBox();
         this.tbPassword = new System.Windows.Forms.TextBox();
         this.buttonOK = new System.Windows.Forms.Button();
         this.buttonCancel = new System.Windows.Forms.Button();
         this.SuspendLayout();
         // 
         // label1
         // 
         this.label1.Location = new System.Drawing.Point(16, 16);
         this.label1.Name = "label1";
         this.label1.Size = new System.Drawing.Size(64, 16);
         this.label1.TabIndex = 0;
         this.label1.Text = "Database:";
         // 
         // label2
         // 
         this.label2.Location = new System.Drawing.Point(16, 48);
         this.label2.Name = "label2";
         this.label2.Size = new System.Drawing.Size(64, 16);
         this.label2.TabIndex = 1;
         this.label2.Text = "Username:";
         // 
         // label3
         // 
         this.label3.Location = new System.Drawing.Point(16, 80);
         this.label3.Name = "label3";
         this.label3.Size = new System.Drawing.Size(64, 16);
         this.label3.TabIndex = 2;
         this.label3.Text = "Password:";
         // 
         // cbDatabase
         // 
         this.cbDatabase.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
         this.cbDatabase.Location = new System.Drawing.Point(80, 16);
         this.cbDatabase.Name = "cbDatabase";
         this.cbDatabase.Size = new System.Drawing.Size(200, 21);
         this.cbDatabase.TabIndex = 3;
         // 
         // tbUsername
         // 
         this.tbUsername.Location = new System.Drawing.Point(80, 48);
         this.tbUsername.Name = "tbUsername";
         this.tbUsername.Size = new System.Drawing.Size(200, 20);
         this.tbUsername.TabIndex = 4;
         this.tbUsername.Text = "";
         // 
         // tbPassword
         // 
         this.tbPassword.Location = new System.Drawing.Point(80, 80);
         this.tbPassword.Name = "tbPassword";
         this.tbPassword.PasswordChar = '*';
         this.tbPassword.Size = new System.Drawing.Size(200, 20);
         this.tbPassword.TabIndex = 5;
         this.tbPassword.Text = "";
         // 
         // buttonOK
         // 
         this.buttonOK.Location = new System.Drawing.Point(112, 112);
         this.buttonOK.Name = "buttonOK";
         this.buttonOK.Size = new System.Drawing.Size(80, 25);
         this.buttonOK.TabIndex = 6;
         this.buttonOK.Text = "OK";
         this.buttonOK.Click += new System.EventHandler(this.accept);
         // 
         // buttonCancel
         // 
         this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
         this.buttonCancel.Location = new System.Drawing.Point(200, 112);
         this.buttonCancel.Name = "buttonCancel";
         this.buttonCancel.Size = new System.Drawing.Size(80, 25);
         this.buttonCancel.TabIndex = 7;
         this.buttonCancel.Text = "Cancel";
         this.buttonCancel.Click += new System.EventHandler(this.reject);
         // 
         // Login
         // 
         this.AcceptButton = this.buttonOK;
         this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
         this.CancelButton = this.buttonCancel;
         this.ClientSize = new System.Drawing.Size(288, 142);
         this.Controls.Add(this.buttonCancel);
         this.Controls.Add(this.buttonOK);
         this.Controls.Add(this.tbPassword);
         this.Controls.Add(this.tbUsername);
         this.Controls.Add(this.cbDatabase);
         this.Controls.Add(this.label3);
         this.Controls.Add(this.label2);
         this.Controls.Add(this.label1);
         this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
         this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
         this.MaximizeBox = false;
         this.MinimizeBox = false;
         this.Name = "Login";
         this.ShowInTaskbar = false;
         this.Text = "TestTrack Pro Login";
         this.ResumeLayout(false);
      }
      #endregion

      private void accept(object sender, System.EventArgs e)
      {
         m_strDatabase = cbDatabase.Text;
         m_strUsername = tbUsername.Text;
         m_strPassword = tbPassword.Text;
         Close();
      }

      private void reject(object sender, System.EventArgs e)
      {
         m_strDatabase = "";
         Close();
      }
   }
}
